#include "XmlAttribute.h"


XmlAttribute::XmlAttribute(const std::string& name)
    : mName(name),
      mValue()
{

}

XmlAttributeUPtr XmlAttribute::Create(const std::string& name)
{
    return std::make_unique<XmlAttribute>(name);
}

void XmlAttribute::SetValue(const std::string& value)
{
    mValue = value;
}

std::string XmlAttribute::GetName() const
{
    return mName;
}

std::string XmlAttribute::GetValue() const
{
    return mValue;
}
